using System.Collections.ObjectModel;
using Entidades;
using Modelo;

namespace Controladora
{
    class ControladoraCategorias : ControladoraBase<Categoria, ControladoraCategorias>
    {
        public override string Añadir(Categoria t)
        {
            if (t == null) return "El Categoria es nulo fallo la carga";

            return (RepositorioCategoria.Instance.Add(t)) ? 
                $"El Categoria {t.Descripcion} se cargo correctamente":
                $"Fallo la carga del Categoria {t.Descripcion}"; 
        }

        override public string Eliminar(Categoria t)
        {
           if (t == null) return "El Categoria es nulo fallo la carga";

            return (RepositorioCategoria.Instance.Del(t)) ? 
                $"El Categoria {t.Descripcion} se Elimino correctamente":
                $"Fallo la Eliminacion del Categoria {t.Descripcion}";         
        }

        override public string Modificar(Categoria t)
        {
            if (t == null) return "El Categoria es nulo fallo la carga";

            return (RepositorioCategoria.Instance.Mod(t)) ? 
                $"El Categoria {t.Descripcion} se Modifico correctamente":
                $"Fallo la Modificacion del Categoria {t.Descripcion}";    
        }

        public override ReadOnlyCollection<Categoria> Listar()
        {
            return RepositorioCategoria.Instance.Listar();
        }
    }
}

